RDCode: RDGeom::Transform3D Class Reference

# RDGeom::Transform3D Class Reference

`#include <Transform3D.h>`

Inheritance diagram for RDGeom::Transform3D:

List of all members.

## Public Member Functions
| Transform3D ()
| Constructor.
void | setToIdentity ()
void | TransformPoint (Point3D &pt) const
void | SetTranslation (const Point3D &move)
| Set the translation vector.
void | SetRotation (double angle, AxisType axis)
| set the rotation matrix
void | SetRotation (double angle, const Point3D &axis)
| set the rotation matrix
void | SetRotation (double cosT, double sinT, const Point3D &axis)
void | SetRotationFromQuaternion (double quaternion[4])
| Set the rotation matrix from a quaternion.
void | Reflect ()
| Reflect the rotation.

## Detailed Description

Definition at line 17 of file Transform3D.h.

## Constructor & Destructor Documentation

RDGeom::Transform3D::Transform3D | ( |  | ) | `[inline]`

Constructor.

Initialize to an identity matrix transformation. This is a 4x4 matrix that includes the rotation and translation parts see Foley's "Introduction to Computer Graphics" for the representation

Operator *= and = are provided by the parent class square matrix. Operator *= needs some explanation, since the order matters. This transform gets set to the combination other and the current state of this transform If this_old and this_new are the states of this object before and after this function we have this_new(point) = this_old(other(point))

Definition at line 33 of file Transform3D.h.

References RDNumeric::Matrix< double >::d_data, and RDGeom::DIM_3D.

## Member Function Documentation

void RDGeom::Transform3D::setToIdentity | ( |  | ) |

void RDGeom::Transform3D::TransformPoint | ( | Point3D & | pt | ) | const

Referenced by RDGeom::compute14Dist3D().

void RDGeom::Transform3D::SetTranslation | ( | const Point3D & | move | ) |

Set the translation vector.

void RDGeom::Transform3D::SetRotation | ( | double | angle,
|  | AxisType | axis |
| ) |  |  |

set the rotation matrix

The rotation matrix is set to rotation by th specified angle about the specified axis

Referenced by RDGeom::compute14Dist3D().

void RDGeom::Transform3D::SetRotation | ( | double | angle,
|  | const Point3D & | axis |
| ) |  |  |

set the rotation matrix

The rotation matrix is set to rotation by th specified angle about an arbitrary axis

void RDGeom::Transform3D::SetRotation | ( | double | cosT,
|  | double | sinT,
|  | const Point3D & | axis |
| ) |  |  |

void RDGeom::Transform3D::SetRotationFromQuaternion | ( | double | quaternion[4] | ) |

Set the rotation matrix from a quaternion.

void RDGeom::Transform3D::Reflect | ( |  | ) |

Reflect the rotation.

The documentation for this class was generated from the following file:

- Transform3D.h